%define cvsversion CVS-2005-10-01
Summary: Utilities to make use of ISDN specific features 
Name: isdn4k-utils
Version: 0.0.20051001 
Release: 1tr
Group: Trustix Official
License: GPL
Source0: ftp://ftp.isdn4linux.de/pub/isdn4linux/CVS-Snapshots/isdn4k-utils-%{cvsversion}.tar.bz2
Source1: isdn.init
Patch0: isdn4k-utils-config.patch
Requires: ncurses tcl
Requires: initscripts
Prereq: chkconfig tsl-utils 
Buildroot: %{_tmppath}/%{name}-root
URL: http://www.isdn4linux.de/

%description
isdn4k-utils is a collection of various ISDN related utilities. This
package contains configuration tools for all ISDN adapters, supported
by Linux. Furthermore, several status-monitors are provided as well as
some ISDN-based applications.

%package devel
Summary: Development files for isdn4k-utils
Group: Trustix Official
Requires: isdn4k-utils

%description devel
You may want to install this package if you are to develop applications
using isdn4k-utils.


%prep
%setup -q  -n isdn4k-utils-%{cvsversion}
%patch0 -p1

%build
cp .config.rpm .config
make subconfig
make 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/sbin
make install DESTDIR=$RPM_BUILD_ROOT


mkdir -p $RPM_BUILD_ROOT/%{_initdir}/
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_initdir}/isdn

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
touch $RPM_BUILD_ROOT/etc/sysconfig/isdncard

mv $RPM_BUILD_ROOT%{_mandir}/man8/.isdnctrl_conf.8 \
   $RPM_BUILD_ROOT%{_mandir}/man8/isdnctrl_conf.8

mkdir -p $RPM_BUILD_ROOT/etc/ppp/peers/isdn

touch $RPM_BUILD_ROOT/etc/ppp/ioptions

pushd pppdcapiplugin/peers/
install -m 600 {a*,t*} $RPM_BUILD_ROOT/etc/ppp/peers/isdn/
popd

pushd FAQ
rm -rf `find . -name CVS`
popd

mkdir -p $RPM_BUILD_ROOT/var/{log/vbox,spool/vbox}

%post
/sbin/ldconfig
/sbin/chkconfig --add isdn
if [ $1 = 2 ]; then
        /sbin/restart_maybe isdn
fi

%preun
if [ "$1" = "0" ]; then
   /sbin/service isdn stop > /dev/null 2>&1
   /sbin/chkconfig --del isdn
fi

%postun
/sbin/ldconfig


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README  FAQ/tutorial/ FAQ/_howto/ FAQ/_example/
%config(noreplace) /etc/ppp/*
%config(noreplace) /etc/isdn/*
%config(noreplace) %attr(0755,root,root) /etc/sysconfig/isdncard 
%{_initdir}/isdn
/etc/X11/app-defaults/XISDNLoad
%{_bindir}/*
/sbin/*
%{_libdir}/libcapi20
%{_libdir}/libcapi20.3
%{_libdir}/libcapi20.3.0.4*
%{_mandir}/man*/*
/usr/X11R6/*
%{_libdir}/isdn/*
%{_datadir}/doc/vbox/*
%dir /var/spool/vbox
%dir /var/log/vbox

%files devel
%{_libdir}/*.*a
/usr/include/capi*

%changelog
* Tue Nov  8 2005 Nived Gopalan <nived at comodo dot com> 0.0.20051001-1tr
- Initial build for TSL-3.0 
